Subject: Re: bug#52324: 29.0.50; "Padded" mode line lacks uniform border

From: Protesilaos Stavrou <[email-masked]>
Date: Mon, 13 Dec 2021 08:54:50 +0200

On 2021-12-12, 21:12 +0800, Po Lu <[email-masked]> wrote:

> Po Lu <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>> In w32term.c, I needed to place it before the drawing of the underline
>>> (which is done before drawing the overline).  Otherwise the overline
>>> would be drawn correctly, but underline won't.  If this is what you
>>> had in mind, please go ahead and install the change in all the *term
>>> backends.
>>
>> Thanks, I'll do that.
>
> I've now installed the changes to the X and W32 port.  Protesilaos,
> could you test and let us know if the problem has been resolved?

Good day!

I can confirm that the following works on my end:

    (setq x-underline-at-descent-line t
          x-use-underline-position-properties nil)

    (set-face-attribute 'mode-line nil
                        :foreground "black"
                        :background "gray80"
                        :box '(:line-width 6 :color "gray80")
                        :overline "gray30"
                        :underline "gray30"
                        :distant-foreground 'unspecified)

M-x emacs-version:

    GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
    3.24.30, cairo version 1.17.4) of 2021-12-13.

-- 
Protesilaos Stavrou
https://protesilaos.com